Loading...
 
Architecture / Installation

Architecture / Installation


blank pages after recompiling php

posts: 4

Hi. I had TikiWiki 1.9.4 working on my web site without any problems. I did have problems with Wordpress on the same server. Basically my php.ini file was not being recognised (any chages to it were not showing up). I recompiled php with the php.ini in a different location. Previously php had been configure to specifically to point to a php.ini file in a particular directory. Reconfigured it without any path to the ini file configured and the ini file in the default location is recognised. Wordpress and email issues all ironed out. Great or so i thought.

When I went to my Wiki I know got a blank page. Looked at previous post in this forum and tried all the things the suggested e.g. increasing the memory to 32M, optimizing database etc. Put in the scripts in the php files and I got various errors regarding files not being able to be found. Particularly local.php from the require once at db/tiki-db.php.

I tried a complete reinstall but getting same problems. Error message below when trying to open tik-install.php in browser:

Warning: Smarty::require_once(lib/smarty/libs/internals/core.load_plugins.php) function.Smarty-require-once: failed to open stream: No such file or directory in /opt/local/apache2/mod4l/lib/smarty/libs/Smarty.class.php on line 917

Fatal error: Smarty::require_once() function.require: Failed opening required 'lib/smarty/libs/internals/core.load_plugins.php' (include_path='/opt/local/php') in /opt/local/apache2/mod4l/lib/smarty/libs/Smarty.class.php on line 917

The core.load_plugins.php file does exist as did the local.php previously. Anyone with any ideas. Been at it for days. Thanks.

posts: 4

Should probably have said using PHP 5.1.6, Apache 2, MySql 4.0.21. Will most probably now give MySQL 5 a try to see if that solves the problem.


> Hi. I had TikiWiki 1.9.4 working on my web site without any problems. I did have problems with Wordpress on the same server. Basically my php.ini file was not being recognised (any chages to it were not showing up). I recompiled php with the php.ini in a different location. Previously php had been configure to specifically to point to a php.ini file in a particular directory. Reconfigured it without any path to the ini file configured and the ini file in the default location is recognised. Wordpress and email issues all ironed out. Great or so i thought.
>
> When I went to my Wiki I know got a blank page. Looked at previous post in this forum and tried all the things the suggested e.g. increasing the memory to 32M, optimizing database etc. Put in the scripts in the php files and I got various errors regarding files not being able to be found. Particularly local.php from the require once at db/tiki-db.php.
>
> I tried a complete reinstall but getting same problems. Error message below when trying to open tik-install.php in browser:
>
> Warning: Smarty::require_once(lib/smarty/libs/internals/core.load_plugins.php) function.Smarty-require-once: failed to open stream: No such file or directory in /opt/local/apache2/mod4l/lib/smarty/libs/Smarty.class.php on line 917
>
> Fatal error: Smarty::require_once() function.require: Failed opening required 'lib/smarty/libs/internals/core.load_plugins.php' (include_path='/opt/local/php') in /opt/local/apache2/mod4l/lib/smarty/libs/Smarty.class.php on line 917
>
> The core.load_plugins.php file does exist as did the local.php previously. Anyone with any ideas. Been at it for days. Thanks.


posts: 9309 Germany

Hi,

just a dumb question. Is the memory_limit in your php.ini the default value of 8 MB now?

It's a chance of say 50 to 1 that blank pages appear because the php memory limit is too low. :-)